Bug 72196 - RFE: Please include libsafe
Summary: RFE: Please include libsafe
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
: 74524 75396 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-21 21:35 UTC by Wil Cooley
Modified: 2014-03-17 02:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 21:35:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wil Cooley 2002-08-21 21:35:38 UTC
Description of Problem:

It would greatly promote system security if RH would include libsafe in future
versions of RHL.  Mandrake has been including it for some time, to no seemingly
ill effects.  IRC discussions with mharris revealed that it has been in
PowerTools in the past; I find no significant bugs here related to it.  I've
been using it in several RHL 7.2 and 7.3 servers, to no ill effects.

Comment 1 Bill Nottingham 2002-08-21 22:00:08 UTC
No.

It's not sufficiently effective to be useful, and can lead to a false sense of
security due to compiler inlines and other optimizations.

Comment 2 Bill Nottingham 2002-10-08 02:32:46 UTC
*** Bug 75396 has been marked as a duplicate of this bug. ***

Comment 3 Bill Nottingham 2002-10-08 02:33:02 UTC
*** Bug 74524 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.